/*
 * Programm XBLASTEDIT V0.6 or higher
 * (C) by Benjamin Drieu (e-mail: drieu@bocal.cs.univ-paris8.fr)
 * Jul 20st 1997
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Publis License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */


 
/**********************************************************/
/* Niveau XBlast 2.1.8                                    */
/* Genere par XBlastedit - Copyright 1997 Benjamin DRIEU  */
/**********************************************************/

/* Ici commence la structure qui est celle comportant les
   informations sur le niveau: joueurs, bombes, grahismes, divers,
   ... */

static BMLevelData labyrinthe =
{
  /* Ici les generalites : titre, auteur, ressource, description,
     modes, ... */
  {
    "Labyrinthe Zone",
    "Bocal : naoko",
    "xblast.useLabyrintheZone",
    "Vous reprendrez un peu de camenbert ?",
    GM_Random|GM_23456_Player|GM_All,
    (void *) &labyrinthe,
    NULL,
  },

  /* Les informations sur la descente ou l'apparition des murs */
  {
    shrink_compound_f,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },

  /* Les fonctions utilisees lors du jeu */
  {
    special_init_void,
    special_game_void,
    special_extra_ignite_all,
    special_key_void,
  },

  /* Informations sur les joueurs: positiion, bombes, ... */
  {
    1, 1,
    {
      {1,1}, 
      {11,13}, 
      {11,1}, 
      {1,13}, 
      {1,3}, 
      {11,11}, 
    },
    PM_Same, 1,
    Healthy, Healthy, IF_Kick,
  },

  /* Information sur les bombes: comportement, meche, ... */
  {
    bomb_click_contact, bomb_click_rebound, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal
  },

  /* Informations sur le graphisme */
  {
    {
      {"dark_way", "dark slate gray", "slate blue", "white",},
      {"dark_way_S", "dark slate gray", "slate blue", "white",},
      {"ghost_sq", "black", "light slate gray", "snow",},
      {"ghost_sq", "snow", "Gray40", "Black",},
      {"extra", "Black", "steel blue", "LightSteelBlue",},
      {"extra_O", "Black", "steel blue", "LightSteelBlue",},
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BUTTON,
      {"karo_light", "Black", "Black", "Black",},
    },
  },

  /* Informations sur le niveau: carte, ombre, distributions, extras, ... */
  {
    ShadowFull, DEget,
    { 17, 30, 40, 49, 59 },
    { 
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,B,X,X,X,B,_,_,_,B, },
      { B,B,B,_,B,X,_,X,B,_,B,B,B, },
      { B,_,B,X,_,B,_,B,_,X,B,_,B, },
      { B,_,_,B,_,B,_,B,_,B,_,_,B, },
      { B,B,X,B,X,_,_,_,X,B,_,B,B, },
      { B,B,_,_,B,X,B,X,B,_,_,B,B, },
      { B,_,B,X,_,X,X,X,_,X,B,_,B, },
      { B,B,_,_,B,X,B,X,B,_,_,B,B, },
      { B,B,_,B,X,_,_,_,X,B,X,B,B, },
      { B,_,B,B,_,B,_,B,_,B,_,_,B, },
      { B,_,B,X,_,B,_,B,_,X,B,_,B, },
      { B,B,B,_,B,X,_,X,B,_,B,B,B, },
      { B,_,_,_,B,X,X,X,B,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};


/*************************************************************/
