/*
 * Programm XBLASTEDIT V0.5 or higher
 * (C) by Benjamin Drieu (e-mail: drieu@bocal.cs.univ-paris8.fr)
 * Jul 20st 1997
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *
 * This program is distributed in the hope that it will entertaining,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Publis License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */


 
/**********************************************************/
/* Niveau XBlast 2.1.8                                    */
/* Genere par XBlastedit - Copyright 1997 Benjamin DRIEU  */
/**********************************************************/

/* Ici commence la structure qui est celle comportant les
   informations sur le niveau: joueurs, bombes, grahismes, divers,
   ... */

static BMLevelData benji =
{
  /* Ici les generalites : titre, auteur, ressource, description,
     modes, ... */
  {
    "Swinging in the rain",
    "Bocal : BenJ",
    "xblast.useSwingingInTheRain",
    "Just avoid falling bombs",
    GM_Random|GM_23456_Player|GM_All,
    (void *) &benji,
    NULL,
  },

  /* Les informations sur la descente ou l'apparition des murs */
  {
    shrink_void,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },

  /* Les fonctions utilisees lors du jeu */
  {
    special_init_nasty_walls,
    special_game_nasty_ceil,
    special_extra_void,
    special_key_void,
  },

  /* Informations sur les joueurs: positiion, bombes, ... */
  {
    5, 1,
    {
      {6, 4}, 
      {6, 10}, 
      {6, 2}, 
      {6, 12}, 
      {6, 6}, 
      {6, 8}, 
    },
    PM_Same, 1,
    IllMini, IllMini, IF_None,
  },

  /* Information sur les bombes: comportement, meche, ... */
  {
    bomb_click_none, bomb_click_contact, bomb_click_contact,
    GoDown, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal
  },

  /* Informations sur le graphisme */
  {
    {
      {"iron_floor", "FireBrick", "Pink", "White",},
      {"iron_floor_S", "FireBrick", "Pink", "White",},
      {"dark_block", "HotPink", "FireBrick", "Pink",},
      {"dark_block", "Magenta", "FireBrick", "Pink",},
      {"chest", "Black", "ForestGreen", "LightSteelBlue",},
      {"chest_O", "Black", "ForestGreen", "LightSteelBlue",},
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK, 
      {"karo_light", "Black", "Black", "Black",},
    },
  },

  /* Informations sur le niveau: carte, ombre, distributions, extras, ... */
  {
    ShadowFull, DEnone,
    { 11, 22, 32, 42, 52 },
    { 
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};


/*************************************************************/
